﻿using System;
using OpcLabs.EasyOpc.DataAccess;

namespace QuickOPC_Leak
{
    public class DescriptorHolder : IDisposable
    {
        public Guid VariableGuid;
        public DAItemDescriptor DAItemDescriptor;

        public DescriptorHolder(Guid varGuid, DAItemDescriptor descriptor)
        {
            VariableGuid = varGuid;
            DAItemDescriptor = descriptor;
        }

        public void Dispose()
        {
            DAItemDescriptor = null;
        }
    }
}
